#include<iostream>
using namespace std;
long long m, br=0, k=0;
long long s[1000001], h[1000001], l[10000001];
long long ha(long long i)
{
    for(long long j=0;j<m;j++)
    {
        if(h[j]==s[i]){
            ha(j);
            br++;
            
        }
    }
    return br;
}
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long n, k;
    cin>>n>>m>>k;
    for(long long i=0;i<m;i++)
    {
       long long a, b;
       cin>>a>>b;
       s[i]=a;
       h[i]=b;
    }
    long long a, b, ans=1;
    cin>>a>>b;
    for(long long i=0;i<m;i++)
    {
        if(h[i]==b)
        {
            ans=ha(i);
        }
    }
    cout<<ans<<endl;
    return 0;
}

